[DISCUSS] Dropping HBase 1 support


Jan.jansen@...
 

Hi

I looked into the HBase 1 support after Porunov asked why I want to drop if the builds are passing: https://github.com/JanusGraph/janusgraph/pull/2213#issuecomment-861620348. We stopped testing HBase 1 in our CI solution already in branch 0.3 that we are happening due to a wrong combination of maven flags.

The Apache HBase already released an alpha version of HBase 3 which would make the support for HBase 1 more complex at the same time.

Any thoughts? Is anyone using HBase 1 with a newer version JG (0.5 or 0.6)? Why couldn't you upgrade to HBase 2?

My Idea would be to drop HBase 1 support. (Currently, HBase 1 support already requires a custom build of JG.)

Greetings, Jan


schwartz@...
 

Will the support for BigTable persist when dropping HBase 1?

We are working with BigTable, and in the days of 0.4 (or was it 0.4.1), BT didn't work, so we had to compile 0.4.x with HBase 1 support.

Thanks!


Jan.jansen@...
 

Will the support for BigTable persist when dropping HBase 1? With 0.5, JG uses the HBase 2 as client for Bigtable.


Von: janusgraph-users@... <janusgraph-users@...> im Auftrag von schwartz@... <schwartz@...>
Gesendet: Montag, 13. September 2021 08:05:25
An: janusgraph-users@...
Betreff: Re: [janusgraph-users] [DISCUSS] Dropping HBase 1 support
 
Will the support for BigTable persist when dropping HBase 1?

We are working with BigTable, and in the days of 0.4 (or was it 0.4.1), BT didn't work, so we had to compile 0.4.x with HBase 1 support.

Thanks!


hadoopmarc@...
 

Hi Jan,

When you say "We stopped testing HBase 1 in our CI solution already in branch 0.3" does that mean you are not sure whether HBase1 tests would run on a custom build for 0.4+? If so, the code was already abandoned and dropping it is the only reasonable way to go. Which does not mean such a decision could not be reversed under any circumstances.

Best wishes,   Marc